#pragma once

namespace Utils::Math {
#undef min
#undef max
	auto getDistance(glm::vec3 from, glm::vec3 to) -> float;
	auto getAngle(glm::vec3 from, glm::vec3 to) -> glm::vec2;

	auto animate(float end, float current, float time) -> float;
	
	auto wrap(float value, float min, float max) -> float;
	auto lerp(float a, float b, float c) -> float;

	auto getrandom(float min, float max) -> float;
}
